Bug 24374 - cleanup container/dc
cleanup container/dc
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Johannes Keiser
Florian Best
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-03 18:51 CET by Stefan Gohmann
Modified: 2017-07-26 14:39 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:
best: Patch_Available+


Attachments
patch (6.21 KB, patch)
2017-04-24 17:05 CEST, Florian Best
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2011-11-03 18:51:33 CET
container/dc sollte aufgeräumt werden. Das Domänenpasswort, oder die DNS Einstellungen haben aktuell keine Auswirkungen.
Comment 1 Florian Best univentionstaff 2017-04-24 16:54:09 CEST
Most of the code still can simply be removed as it is obviously dead!
Comment 2 Florian Best univentionstaff 2017-04-24 17:05:15 CEST
Created attachment 8801 [details]
patch
Comment 3 Johannes Keiser univentionstaff 2017-07-12 16:19:48 CEST
(In reply to Florian Best from comment #2)
> Created attachment 8801 [details]
> patch

Applied patch:

r 81097
univention-directory-manager-modules (12.0.17-82) 
* Bug #24374: Applied patch from Florian Best - Remove unused code

YAML: r 81098
Comment 4 Johannes Keiser univentionstaff 2017-07-13 12:46:12 CEST
r 81130
univention-directory-manager-modules (12.0.17-85) 
* Bug #24374: Applied additional cleanup patch
Comment 5 Johannes Keiser univentionstaff 2017-07-13 12:58:00 CEST
r 81131
univention-directory-manager-modules (12.0.17-86) 
* Bug #24374: Applied additional cleanup patch
Comment 6 Florian Best univentionstaff 2017-07-13 15:16:48 CEST
Very good. Unused code is removed.
The new option "samba" is only set if sambaDomain object class is set. No errors on modification anymore.
The syntax class of the DNS forward / reverse zone is also fixed.

OK: YAML
Comment 7 Erik Damrose univentionstaff 2017-07-26 14:39:01 CEST
<http://errata.software-univention.de/ucs/4.2/115.html>